/**
 * This file contains informations about all objectives types in the game
 * They are separated in 2 arrays of objectives objects, one for mercenary camps and the other for map objectives
 */

const BRUISER = {
  type: 'Bruiser',
  initialSpawnTime: 60,
  respawnTime: 240
}
const SIEGE = {
  type: 'Siege',
  initialSpawnTime: 60,
  respawnTime: 180
}

export const CAMPS = {
  // #################### BRUISER CAMPS ####################
  shamans: {
    ...BRUISER,
    name: 'Shamans'
  },
  knights: {
    ...BRUISER,
    name: 'Knights'
  },
  goliaths: {
    ...BRUISER,
    name: 'Goliaths and Raven'
  },
  // #################### SIEGE CAMPS ####################
  gnolls: {
    ...SIEGE,
    name: 'Armored Gnolls'
  },
  troopers: {
    ...SIEGE,
    name: 'Assault Troopers'
  },
  hellbats: {
    ...SIEGE,
    name: 'Hellbats'
  },
  impalers: {
    ...SIEGE,
    name: 'Impalers'
  },
  sappers: {
    ...SIEGE,
    name: 'Sappers',
    respawnTime: 120
  },
  sentinels: {
    ...SIEGE,
    name: 'Sentinels',
    respawnTime: 150
  },
  giants: {
    ...SIEGE,
    name: 'Giants'
  }
}

export const MAP = {
  shrine: {
    name: 'Shrine',
    initialSpawnTime: 180,
    respawnTime: 180
  },
  immortals: {
    name: 'Immortals',
    initialSpawnTime: 105,
    respawnTime: 180
  }
}
